Bug 139782 - Calc crashes opening file containing "MATCH" formula referencing not yet allocated column
Summary: Calc crashes opening file containing "MATCH" formula referencing not yet allo...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2021-01-20 11:12 UTC by Michael Weghorn
Modified: 2021-01-25 09:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file that makes Calc crash (7.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-01-20 11:12 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2021-01-20 11:12:05 UTC
Created attachment 169041 [details]
sample file that makes Calc crash

Steps to reproduce: open attached file "simplified.ods" in Calc

Result: LibreOffice crashes

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 61f5add790fad40b1e3f7a3a45b96d52f784f69c
CPU threads: 12; OS: Linux 5.10; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-US
Calc: threaded
Comment 1 Michael Weghorn 2021-01-20 11:12:58 UTC
It's a regression, bibisected to:


    commit 7282014e362a1529a36c88eb308df8ed359c2cfa
    Author: Noel Grandin <noel.grandin@collabora.co.uk>
    Date:   Fri Feb 1 15:15:16 2019 +0100

        tdf#50916 Makes numbers of columns dynamic.
        
        With this commit we are making numbers of columns
        dynamic, but the number of maximum supported
        columns will be the same (1024).
        Such approach will allow us to check issues
        (eg. performance, LO format etc.), and improve it.
        
        Increasing number of maximum columns, will be done
        in separate commit.
        
        Change-Id: Ibac4101e9ffc05e3548eca1c198f6319ac7ff9aa
        Reviewed-on: https://gerrit.libreoffice.org/44802
        Tested-by: Jenkins
        Reviewed-by: Bartosz Kosiorek <gang65@poczta.onet.pl>

I'm currently taking a look myself and plan to submit a fix.
Comment 2 Commit Notification 2021-01-22 07:03:45 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3032cf9df042f50511a15c6a627c50f708a34238

tdf#139782 sc: Don't try to access unallocated column

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-01-22 07:04:55 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fc3b904b671a71266db2e8b30cbeeef4f7981753

Related tdf#139782 sc: Make sure column exists before accessing it

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Weghorn 2021-01-22 12:06:15 UTC
Fixed in master. Backports for 7.1 and 7.0 pending in Gerrit.
Comment 5 Commit Notification 2021-01-22 16:18:46 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c8c4a2ce127632c05d9ad6383e0ec107623e386

tdf#139782: sc_subsequent_filters: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-01-23 21:08:57 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0a177771bb94ce129dabd19078e07ff793d4ed1c

tdf#139782 sc: Don't try to access unallocated column

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-01-23 21:10:12 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/234f50f5bf6a1f35fb23d983de56a8d86a9f2026

tdf#139782 sc: Don't try to access unallocated column

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Kevin Suo 2021-01-24 02:48:35 UTC
Verified fixed on 7.1 branch.
Comment 9 Commit Notification 2021-01-25 09:21:02 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e680ba7e15adc76a1a7fc7e5e0be06be9e5b5e73

Related tdf#139782 sc: Make sure column exists before accessing it

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-01-25 09:21:12 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/acbd93a62b5b0ee7a977e0d2fdf80386497d39a9

Related tdf#139782 sc: Make sure column exists before accessing it

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.